Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1886553 - i/o timeout experienced from build02 when targeting CI test cluster during test execution
Summary: i/o timeout experienced from build02 when targeting CI test cluster during te...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.5
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.7.0
Assignee: Alexander Constantinescu
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-08 18:20 UTC by Alexander Constantinescu
Modified: 2021-02-24 15:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:24:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4273 0 None closed Bug 1886553: GCP - Increase worker NAT min ports 2021-02-12 08:51:56 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:24:54 UTC

Description Alexander Constantinescu 2020-10-08 18:20:45 UTC
Description of problem:

I am not going to spend time detailing this problem, it's been described in great details here: https://docs.google.com/document/d/1Cw5vt6DLh7-9KkCmXkI55svPhFl7XpdxcEWRrJEnoWk/edit

Short summary: CI runs on build02 have a higher flake rate than build01, the most flakes all seem to have the same cause: "dial tcp i/o timeout CI_CLUSTER"

This has lead to build02 being temporarily decommissioned, but it is needed for the CI team to be able to perform "no-down time" upgrades (i.e: lifting load from build01 / build02 while one or the other is upgrading OCP version)

It is not necessarily an openshift-sdn bug, but it's networking related (or at least networking exposes it)....and hey, someone's gotta do it.    

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 zhaozhanqi 2020-11-18 09:54:00 UTC
this issue has been fixed and move it to 'verified'

Comment 6 errata-xmlrpc 2021-02-24 15:24:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.